Subject: looking for images of plants
From: Aman Bawa <[email-masked]>
Date: Tue, 19 Jul 1994 17:48:45 EDT
Newsgroups: bionet.plants

Hello.  I'm looking for images of plants on the net.  Especially looking for
images of slides and stuff like that, if you know any good sites, could
you please send me a note?  Thanks for your time.  Later... Aman.